package com.ruoyi.inventory.domain.vo;

import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class InboundDetailsVO {
    private static final long serialVersionUID = 1L;
    @Excel(name = "物料sapNo")
    private String materialId;

    @Excel(name = "物料名")
    private String materialName;

    @Excel(name = "入库单号")
    private String orderId;

    @Excel(name = "批次ID")
    private String batchId;

    @Excel(name = "仓库ID")
    private String warehouseId;

    @Excel(name = "库位ID")
    private String locationId;

    @Excel(name = "入库数量")
    private Long actualQuantity;

    @Excel(name = "件数")
    private Long actualPackages;

    @Excel(name = "标签颜色")
    private String labelColor;

    @Excel(name = "单价")
    private Double unitPrice;

    @Excel(name = "入库物料总价")
    private Double totalPrice;

    @Excel(name = "备注")
    private String remark;

    @Excel(name = "入库时间")
    private Date inboundDate;

    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getBatchId() {
        return batchId;
    }

    public void setBatchId(String batchId) {
        this.batchId = batchId;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getLocationId() {
        return locationId;
    }

    public void setLocationId(String locationId) {
        this.locationId = locationId;
    }

    public Long getActualQuantity() {
        return actualQuantity;
    }

    public void setActualQuantity(Long actualQuantity) {
        this.actualQuantity = actualQuantity;
    }

    public Long getActualPackages() {
        return actualPackages;
    }

    public void setActualPackages(Long actualPackages) {
        this.actualPackages = actualPackages;
    }

    public String getLabelColor() {
        return labelColor;
    }

    public void setLabelColor(String labelColor) {
        this.labelColor = labelColor;
    }

    public Double getUnitPrice() {
        return unitPrice;
    }

    public void setUnitPrice(Double unitPrice) {
        this.unitPrice = unitPrice;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public Date getInboundDate() {
        return inboundDate;
    }

    public void setInboundDate(Date inboundDate) {
        this.inboundDate = inboundDate;
    }

    @Override
    public String toString() {
        return "InboundDetailsVO{" +
                "sapNo='" + materialId + '\'' +
                ", materialName='" + materialName + '\'' +
                ", orderId='" + orderId + '\'' +
                ", batchId='" + batchId + '\'' +
                ", warehouseId='" + warehouseId + '\'' +
                ", locationId='" + locationId + '\'' +
                ", actualQuantity=" + actualQuantity +
                ", actualPackages=" + actualPackages +
                ", labelColor='" + labelColor + '\'' +
                ", unitPrice=" + unitPrice +
                ", totalPrice=" + totalPrice +
                ", remark='" + remark + '\'' +
                ", inboundDate=" + inboundDate +
                '}';
    }
}
